%global pypi_name monotonic

Name:           python-%{pypi_name}
Version:        1.5
Release:        %mkrel 2
Group:          Development/Python
Summary:        An implementation of time.monotonic
License:        ASLv2
URL:            https://github.com/atdt/monotonic
Source0:        https://pypi.io/packages/source/m/%{pypi_name}/%{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

%description
This module provides a monotonic() function which returns the value (in
fractional seconds) of a clock which never goes backwards.

%package -n     python3-%{pypi_name}
Summary:        An implementation of time.monotonic() for Python 2 & < 3.3
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
This module provides a monotonic() function which returns the value (in
fractional seconds) of a clock which never goes backwards.

%prep
%setup -q -n %{pypi_name}-%{version}
%apply_patches

# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{python3_sitelib}/*


%changelog
* Thu Mar 24 2022 TerryN <terryn94 at gmail.com> 1.5-2pclos2022
- rebuild for python 3.10

* Fri Apr 02 2021 tex - 1.5-1pclos2021
- create pkg
